Loading...
Searching...
No Matches
IdMap< GR, K >::InverseMap Class Reference

## Detailed Description

template<typename GR, typename K>
class lemon::IdMap< GR, K >::InverseMap

The inverse map type of IdMap. The subscript operator gives back an item by its id. This type conforms to the ReadMap concept.

See also
  inverse()

`#include <lemon/maps.h>`

## Public Member Functions

| InverseMap (const Graph &graph)
| Constructor.
| InverseMap (const IdMap &map)
| Constructor.
Item | operator[] (int id) const
| Gives back an item by its id.

## Constructor & Destructor Documentation

## InverseMap() [1/2]

template<typename GR, typename K>

InverseMap | ( | const Graph & | graph | ) |

inline explicit

Constructor for creating an id-to-item map.

## InverseMap() [2/2]

template<typename GR, typename K>

InverseMap | ( | const IdMap & | map | ) |

inline explicit

Constructor for creating an id-to-item map.

## Member Function Documentation

## operator[]()

template<typename GR, typename K>

Item operator[] | ( | int | id | ) | const

inline

Gives back an item by its id.